# sc::AccResult< T > Class Template Reference

This associates a result datum with an accuracy. More...

`#include <comptmpl.h>`

Inheritance diagram for sc::AccResult< T >:

List of all members.

## Public Member Functions

| AccResult (Compute *c)
| AccResult (const AccResult< T > &r, Compute *c)
| operator T & ()
T * | operator-> ()
T & | result ()
T & | result_noupdate ()
const T & | result_noupdate () const
void | operator= (const T &a)
void | operator= (const AccResult< T > &r)
void | restore_state (StateIn &s)
void | save_data_state (StateOut &s)
| AccResult (StateIn &s, Compute *c)

## Detailed Description

### template<class T>
class sc::AccResult< T >

This associates a result datum with an accuracy.

If the result datum is to be saved or restored use SSAccResult.

The documentation for this class was generated from the following file:

- comptmpl.h